Bug 182379

Summary: irc/bitlbee otr compilation failure
Product: Ports & Packages Reporter: Sean M. Collins <sean>
Component: Individual Port(s)Assignee: Henrik Brix Andersen <brix>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Sean M. Collins 2013-09-25 18:10:00 UTC
* Linking twitter_mod.o
gmake[4]: Leaving directory `/usr/ports/irc/bitlbee/work/bitlbee-3.2/protocols/twitter'
* Linking protocols.o
gmake[3]: Leaving directory `/usr/ports/irc/bitlbee/work/bitlbee-3.2/protocols'
gmake -C doc
gmake[3]: Entering directory `/usr/ports/irc/bitlbee/work/bitlbee-3.2/doc'
# Only build the docs if this is a bzr checkout
test ! -d ../.bzr || gmake -C user-guide
gmake[3]: Leaving directory `/usr/ports/irc/bitlbee/work/bitlbee-3.2/doc'
* Linking lib.o
gmake[3]: Leaving directory `/usr/ports/irc/bitlbee/work/bitlbee-3.2/lib'
* Linking bitlbee
protocols/protocols.o: In function `prplcb_xfer_new':
ft.c:(.text+0x3620): warning: warning: mktemp() possibly used unsafely; consider using mkstemp()
/usr/bin/ld: d: invalid DSO for symbol `gcry_error_from_errno' definition
/usr/local/lib/libgcrypt.so.19: could not read symbols: Bad value
cc: error: linker command failed with exit code 1 (use -v to see invocation)
gmake[2]: *** [bitlbee] Error 1
gmake[2]: Leaving directory `/usr/ports/irc/bitlbee/work/bitlbee-3.2'
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/irc/bitlbee
*** Error code 1

Stop.
make: stopped in /usr/ports/irc/bitlbee

How-To-Repeat: Enable OTR support in the bitlbee port
Comment 1 Edwin Groothuis freebsd_committer 2013-09-26 02:12:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->brix

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-01-12 13:15:10 UTC
Author: brix
Date: Sun Jan 12 13:15:02 2014
New Revision: 339502
URL: http://svnweb.freebsd.org/changeset/ports/339502

Log:
  - Update to v3.2.1
  - Add staging support
  - OTR requires GnuTLS support
  
  PR:		ports/182379, ports/184506

Modified:
  head/irc/bitlbee/Makefile
  head/irc/bitlbee/distinfo

Modified: head/irc/bitlbee/Makefile
==============================================================================
--- head/irc/bitlbee/Makefile	Sun Jan 12 13:07:50 2014	(r339501)
+++ head/irc/bitlbee/Makefile	Sun Jan 12 13:15:02 2014	(r339502)
@@ -1,8 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	bitlbee
-PORTVERSION=	3.2
-PORTREVISION=	2
+PORTVERSION=	3.2.1
 CATEGORIES=	irc
 MASTER_SITES=	http://get.bitlbee.org/src/ \
 		${MASTER_SITE_LOCAL}
@@ -34,7 +33,7 @@ OPTIONS_SINGLE_SSL=	OPENSSL GNUTLS
 OPTIONS_MULTI=		PROTO
 OPTIONS_MULTI_PROTO=	JABBER LIBPURPLE MSN OSCAR TWITTER YAHOO
 
-OTR_DESC=		Off-the-Record Messaging support
+OTR_DESC=		Off-the-Record Messaging support (Requires GnuTLS)
 LIBPURPLE_DESC=		Use libpurple for protocol support
 MSN_DESC=		Microsoft Messenger support
 OSCAR_DESC=		OSCAR (ICQ, AIM) support
@@ -48,9 +47,12 @@ CONFIGURE_ARGS=	--config=/var/db/bitlbee
 USERS=		bitlbee
 GROUPS=		bitlbee
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
+.if ${PORT_OPTIONS:MOPENSSL} && ${PORT_OPTIONS:MOTR}
+IGNORE=Off-the-Record Messaging support requires GnuTLS support
+.endif
+
 .if ${PORT_OPTIONS:MDEBUG}
 CONFIGURE_ARGS+=--debug=1
 .else
@@ -129,14 +131,14 @@ post-patch:
 		${WRKSRC}/doc/bitlbee.8
 
 post-install:
-	${MKDIR} ${PREFIX}/etc/bitlbee
+	${MKDIR} ${STAGEDIR}/${PREFIX}/etc/bitlbee
 .if ${PORT_OPTIONS:MDOCS}
-	${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${PORTDOCS:S@^@${WRKSRC}/doc/@} ${DOCSDIR}
+	${MKDIR} ${STAGEDIR}/${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S@^@${WRKSRC}/doc/@} ${STAGEDIR}/${DOCSDIR}
 .endif
 .if ${PORT_OPTIONS:MEXAMPLES}
-	${MKDIR} ${EXAMPLESDIR}
-	${INSTALL_DATA} ${PORTEXAMPLES:S@^@${WRKSRC}/@} ${EXAMPLESDIR}
+	${MKDIR} ${STAGEDIR}/${EXAMPLESDIR}
+	${INSTALL_DATA} ${PORTEXAMPLES:S@^@${WRKSRC}/@} ${STAGEDIR}/${EXAMPLESDIR}
 .endif
 	@${CAT} ${PKGMESSAGE}
 

Modified: head/irc/bitlbee/distinfo
==============================================================================
--- head/irc/bitlbee/distinfo	Sun Jan 12 13:07:50 2014	(r339501)
+++ head/irc/bitlbee/distinfo	Sun Jan 12 13:15:02 2014	(r339502)
@@ -1,2 +1,2 @@
-SHA256 (bitlbee-3.2.tar.gz) = 1b43828e906f5450993353f2ebecc6c038f0261c4dc3f1722ebafa6ea3e62030
-SIZE (bitlbee-3.2.tar.gz) = 666404
+SHA256 (bitlbee-3.2.1.tar.gz) = 00f411dd7d6d28f30f0e73e46c9cbe88b4006e7f03adfe07b90a97280a290f59
+SIZE (bitlbee-3.2.1.tar.gz) = 657595
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Henrik Brix Andersen freebsd_committer 2014-01-12 13:15:38 UTC
State Changed
From-To: open->closed

Committed, thanks.